### Signal

# Gio Settings::change-event

#### Declaration

    gboolean
    change_event (
      GSettings* self,
      gpointer keys,
      gint n_keys,
      gpointer user_data
    )

#### Description [src]

Emitted once per change event that affects this settings object.

You should connect to this signal only if you are interested in viewing groups of changes before they are split out into multiple emissions of the `GSettings::changed` signal. For most use cases it is more appropriate to use the `GSettings::changed` signal.

In the event that the change event applies to one or more specified keys, `keys` will be an array of `GQuark`s of length `n_keys`. In the event that the change event applies to the `GSettings` object as a whole (ie: potentially every key has been changed) then `keys` will be `NULL` and `n_keys` will be `0`.

The default handler for this signal invokes the `GSettings::changed` signal for each affected key. If any other connected handler returns true then this default functionality will be suppressed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`keys`

  Type: An array of `GQuark`

  Array of the keys which have changed.

  The argument can be `NULL`.
  The length of the array is specified in the `n_keys` argument.

`n_keys`

  Type: `gint`

  The length of the `keys` array, or `0`.

#### Return value

Type: `gboolean`

True to stop other handlers from being invoked for the event, false to propagate the event further.